## camv-rnd 1.0.0

=== Makefile ===
all:
	cd src && $(MAKE) all
# do not compile doc/ (all rendered files are commited - Ringdove policy)

install:
	cd src && $(MAKE) install
	cd doc && $(MAKE) install

linstall:
	cd src && $(MAKE) linstall
	cd doc && $(MAKE) linstall

uninstall:
	cd src && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall

clean:
	cd src && $(MAKE) clean
# do not clean doc/ (all rendered files are commited - Ringdove policy)

=== doc/Makefile ===
MENU_RES=../src/menu.lht
KEYLIST=../util/keylist.sh
DEBLIST=../util/devhelpers/deblist.sh
ROOT=..

all: user/keys.html user/keytree.svg user/keytree.txt
	ROOT="" ./Autostyle.sh *.html

include ../Makefile.conf

SCCBOX = $(LIBRND_PREFIX)/lib/librnd3/scconfig/sccbox

user/keytree.svg: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --dot user/node_names.txt $(MENU_RES) > user/keytree.dot
	dot -Tsvg < user/keytree.dot >user/keytree.svg

user/keytree.txt: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --lst $(MENU_RES) > user/keytree.txt


user/keys.html: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) $(MENU_RES) > user/keys.html

install_main:
	$(SCCBOX) $(HOW) *.html TODO $(DOCDIR)/

install:
	$(SCCBOX) mkdir -p "$(DOCDIR)"
	cd user && $(MAKE) install
	cd developer && $(MAKE) install
	$(MAKE) install_main HOW="install -f -d"

linstall:
	cd user && $(MAKE) linstall
	cd developer && $(MAKE) linstall
	$(MAKE) install_main HOW="install -f -l -d"

uninstall:
	cd user && $(MAKE) uninstall
	cd developer && $(MAKE) uninstall
	$(MAKE) install_main HOW="install -f -u -d"

clean:
	cd user && $(MAKE) clean
	cd developer && $(MAKE) clean

distclean:
	cd user && $(MAKE) distclean
	cd developer && $(MAKE) distclean

=== src/Makefile ===
include ../Makefile.conf
include $(LIBRND_PREFIX)/share/librnd3/librnd.mak

PLGD=../src_plugins
THIRD=../src_3rd
LIBARCHDIR=lib

CFLAGS = -Wall -g -I. -I$(THIRD) $(CFLAGS_LIBRND) `pkg-config --cflags freetype2` $(CFG_CFLAGS)
LDFLAGS = -rdynamic `pkg-config --libs freetype2` $(CFG_LDFLAGS)

CORE_OBJS = camv-rnd.o data.o event.o obj_any.o obj_arc.o obj_line.o obj_poly.o obj_grp.o obj_text.o gui_act.o draw.o crosshair.o rtree.o plug_io.o plug_io_act.o conf_core.o main_act.o
TEDAX_OBJS = $(PLGD)/io_tedax/parse.o $(PLGD)/io_tedax/io_tedax.o
TOOL_OBJS = $(PLGD)/std_tools/std_tools.o
GUI_OBJS = $(PLGD)/gui/status.o $(PLGD)/gui/layersel.o $(PLGD)/gui/camv_gui.o
GERBD_OBJS = $(PLGD)/import_gerb/gedraw.o $(PLGD)/import_gerb/geparse.o $(PLGD)/import_gerb/gexpr.o $(PLGD)/import_gerb/gex.tab.o
GERB_OBJS = $(GERBD_OBJS)  $(PLGD)/import_gerb/gerb2camv.o
EXC_OBJS = $(PLGD)/import_excellon/excellon.o
GCODE_OBJS = $(PLGD)/import_gcode/gcode.tab.o $(PLGD)/import_gcode/gcode_exec.o \
             $(PLGD)/import_gcode/gcode_lex.o $(PLGD)/import_gcode/gcode_vm.o \
             $(PLGD)/import_gcode/import_gcode.o
TTF2BBOX = $(THIRD)/ttf2bbox/ttf2bbox.o

OBJS = $(CORE_OBJS) $(GUI_OBJS) $(GERB_OBJS) $(TEDAX_OBJS) $(TOOL_OBJS) $(EXC_OBJS) $(GCODE_OBJS) $(TTF2BBOX)
RNDLIB = -lrnd-hid -lrnd-poly -lrnd-3rd
RNDLIB3RD = -lrnd-3rd
CQUOTE = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/cquote
SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox

all: camv-rnd $(PLGD)/import_gerb/gedump

include Makefile.dep
include Makefile.oc

camv-rnd: $(OBJS)
	$(CC) -o camv-rnd $(OBJS) $(LDFLAGS) $(RNDLIB) $(LDFLAGS_LIBRND)

GEDUMP_OBJS=$(GERBD_OBJS) $(PLGD)/import_gerb/gedump.o $(RNDLIB_DEPS)
$(PLGD)/import_gerb/gedump: $(GEDUMP_OBJS)
	$(CC) -o $(PLGD)/import_gerb/gedump $(GEDUMP_OBJS) $(LDFLAGS) $(RNDLIB3RD) $(LDFLAGS_LIBRND)

gerbyacc: ../src_plugins/import_gerb/gex.y ../src_plugins/import_gerb/gexpr.h
	cd ../src_plugins/import_gerb && byacc -b gex -d -p gex -P gex.y

gcodeyacc: import_gcode/gcode.y import_gcode/gcode_vm.h
	cd gcode && byacc -v -b gcode -d -p gcode -P gcode.y

conf_core_fields.h: conf_core.h
	$(LIBRND_PREFIX)/lib/librnd3/scconfig/gen_conf.sh  < conf_core.h > conf_core_fields.h

buildin.c: $(PLGD)/.builtin.pups $(PUPLUG)
	cd $(PLGD) && $(PUPLUG) buildin.c "-" < $(PLGD)/.builtin.pups > ../src/buildin.c

conf_internal.c: conf_core.lht $(CQUOTE)
	$(CQUOTE) -n camv_conf_internal < conf_core.lht > conf_internal.c

menu_internal.c: menu.lht $(CQUOTE)
	$(CQUOTE) -n camv_menu_internal < menu.lht > menu_internal.c

install_dirs_:
	$(SCCBOX) mkdir -p $(BINDIR) $(CONFDIR)

install_:
	$(SCCBOX) $(HOW) "camv-rnd" "$(BINDIR)/camv-rnd"
	$(SCCBOX) $(HOW) "menu.lht" "$(CONFDIR)/menu.lht"
	$(SCCBOX) $(HOW) "conf_core.lht" "$(CONFDIR)/conf_core.lht"

install:
	$(MAKE) install_dirs_
	$(MAKE) install_ HOW="install -f"

linstall:
	$(MAKE) install_dirs_
	$(MAKE) install_ HOW="linstall -f"

uninstall:
	$(MAKE) install_ HOW="uninstall"


clean:
	rm -f $(OBJS) $(GERBD_OBJS) $(PLGD)/import_gerb/gedump.o $(PLGD)/import_gerb/gedump $(GCODE_OBJS)

dep:
	./depgen "$(LIBRND_PREFIX)"
	make -f Makefile.depgen
	echo "$(OBJS) $(PLGD)/import_gerb/gedump.o" | ./ocgen > Makefile.oc

FORCE:

=== doc/developer/Makefile ===
include ../../Makefile.conf
SCCBOX = $(LIBRND_PREFIX)/lib/librnd3/scconfig/sccbox

all:

clean:

distclean:


install_dirs_:
	$(SCCBOX) mkdir -p "$(DOCDIR)/developer"

install_:
	$(SCCBOX) $(HOW) *.html $(DOCDIR)/developer

install:
	$(MAKE) install_dirs_
	$(MAKE) install_ HOW="install -f -d"

linstall:
	$(MAKE) install_dirs_
	$(MAKE) install_ HOW="install -f -d"

uninstall:
	$(MAKE) install_ HOW="install -f -u -d"

=== doc/man/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from $(ROOT)/Makefile.conf which is scconfig generated
ROOT=../..

include $(ROOT)/Makefile.conf
MAN1DIR=$(SHAREDIR)/man/man1
SCCBOX = $(LIBRND_PREFIX)/lib/librnd3/scconfig/sccbox

IN=camv-rnd.1.mml
OUT_HTML = camv-rnd.1.html
OUT_MAN1 = camv-rnd.1
OUT_LINT = camv-rnd.1.lint

OUTPUT = $(OUT_HTML) $(OUT_MAN1) index.html
MML = /usr/bin/mml

all: $(OUTPUT)

lint: $(OUT_LINT)

.SUFFIXES: .html .mml .lint

.mml.html: .mml_linkmap
	$(MML) -i copyright.mml -f html $<  > $@

.mml:
	$(MML) -i copyright.mml -f man $<  > $@

.mml_linkmap:
	$(MML) -i copyright.mml -f linkmap $(IN) > $@

index.html: $(IN)
	@echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">' > $@
	@echo '<HTML><HEAD><meta http-equiv="Content-Type" content="text/html;charset=us-ascii"><TITLE>man page index - camv-rnd</TITLE></HEAD><BODY><UL>' >> $@
	$(MML) -i copyright.mml -f indexhtml $(IN) >> $@
	@echo "</UL></BODY></HTML>" >> $@

clean:

distclean:

genclean:
	rm $(OUTPUT) 2>/dev/null ; true

.mml.lint:
	$(MML) -i copyright.mml -f lint $<

install_dir:
	$(SCCBOX) mkdir -p "$(MAN1DIR)"

install_all:
	$(SCCBOX) $(HOW) "camv-rnd.1" "$(MAN1DIR)/camv-rnd.1"

install:
	$(MAKE) install_dir
	$(MAKE) install_all HOW="install -f"

linstall:
	$(MAKE) install_dir
	$(MAKE) install_all HOW="linstall -f"

uninstall:
	$(MAKE) install_all HOW="uninstall"

=== doc/user/Makefile ===
include ../../Makefile.conf
SCCBOX = $(LIBRND_PREFIX)/lib/librnd3/scconfig/sccbox

all:

clean:

distclean:


install_dirs_:
	$(SCCBOX) mkdir -p "$(DOCDIR)/user"

install_:
	$(SCCBOX) $(HOW) *.html *.txt *.svg $(DOCDIR)/user

install:
	$(MAKE) install_dirs_
	$(MAKE) install_ HOW="install -f -d"

linstall:
	$(MAKE) install_dirs_
	$(MAKE) install_ HOW="install -f -d"

uninstall:
	$(MAKE) install_ HOW="install -f -u -d"

=== src_plugins/import_gcode/Makefile ===
include ../../Makefile.conf
CFLAGS = -DRND_PCB_COMPAT -Wall -g -I$(LIBRND_PREFIX)/include/librnd/src_3rd
LDLIBS = -lm $(LIBRND_PREFIX)/lib/librnd-3rd.a

main: main.o gcode_vm.o gcode_exec.o gcode_lex.o gcode.tab.o

gcode.tab.c gcode.tab.h: gcode.y
	byacc -v -b gcode -d -p gcode -P gcode.y

=== src_plugins/import_gerb/expr/Makefile ===
TRUNK=../../../../trunk

include $(TRUNK)/Makefile.conf
include $(LIBRND_PREFIX)/share/librnd3/librnd.mak

CFLAGS = -DRND_PCB_COMPAT -Wall -g -I.. -I$(TRUNK)/src -I$(TRUNK) -I$(TRUNK)/src_3rd $(CFLAGS_LIBRND)
LDLIBS = -lrnd-3rd

main: main.o ../gex.tab.o ../gexpr.o

main.o: main.c ../gex.tab.h ../gexpr.h

../gex.tab.c ../gex.tab.h: ../gex.y ../gexpr.h
	cd ../../../src && make gerbyacc

=== debian/changelog ===
camv-rnd (1.0.0-1) unstable; urgency=low

  * package first upstream release

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 Jul 2021 21:48:26 -0600

=== debian/control ===
Source: camv-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), librnd3-dev, libgd-dev, libgtkglext1-dev
Standards-Version: 4.5.1
Homepage: http://repo.hu/projects/camv-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/camv-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/camv-rnd

Package: camv-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3-hid-gtk2-gl | librnd3-hid-gtk2-gdk | librnd3-hid-lesstif
Description: EDA related CAM file viewer (gerber/excellon/g-code)
 camv-rnd is a modular EDA (mainly PCB) CAM file format viewer that supports
 gerber, excellon and g-code. The GUI features zoom, pan and measurements on
 multiple layers from multiple files.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else ifeq (mips64el,$(findstring mips64el,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else
	dh $@
endif

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f Makefile.conf && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--prefix=/usr \
		--confdir=/etc/camv-rnd

override_dh_install:

## camv-rnd 1.0.1

=== Makefile ===
all: FORCE
	cd src && $(MAKE) all
# do not compile doc/ (all rendered files are commited - Ringdove policy)

install: FORCE
	cd src && $(MAKE) install
	cd doc && $(MAKE) install

linstall: FORCE
	cd src && $(MAKE) linstall
	cd doc && $(MAKE) linstall

uninstall: FORCE
	cd src && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall

clean: FORCE
	cd src && $(MAKE) clean
# do not clean doc/ (all rendered files are commited - Ringdove policy)

distclean: FORCE
	cd src && $(MAKE) distclean
# do not clean doc/ (all rendered files are commited - Ringdove policy)

FORCE:

=== doc/Makefile ===
--- 
+++ 
@@ -2,13 +2,14 @@
 KEYLIST=../util/keylist.sh
 DEBLIST=../util/devhelpers/deblist.sh
 ROOT=..
+LIBARCHDIR=$(LIBRND_LIBARCHDIR)
 
 all: user/keys.html user/keytree.svg user/keytree.txt
 	ROOT="" ./Autostyle.sh *.html
 
 include ../Makefile.conf
 
-SCCBOX = $(LIBRND_PREFIX)/lib/librnd3/scconfig/sccbox
+SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox
 
 user/keytree.svg: $(MENU_RES) $(KEYLIST)
 	$(KEYLIST) --dot user/node_names.txt $(MENU_RES) > user/keytree.dot

=== src/Makefile ===
--- 
+++ 
@@ -1,9 +1,8 @@
 include ../Makefile.conf
-include $(LIBRND_PREFIX)/share/librnd3/librnd.mak
 
 PLGD=../src_plugins
 THIRD=../src_3rd
-LIBARCHDIR=lib
+LIBARCHDIR=$(LIBRND_LIBARCHDIR)
 
 CFLAGS = -Wall -g -I. -I$(THIRD) $(CFLAGS_LIBRND) `pkg-config --cflags freetype2` $(CFG_CFLAGS)
 LDFLAGS = -rdynamic `pkg-config --libs freetype2` $(CFG_LDFLAGS)
@@ -21,7 +20,7 @@
 TTF2BBOX = $(THIRD)/ttf2bbox/ttf2bbox.o
 
 OBJS = $(CORE_OBJS) $(GUI_OBJS) $(GERB_OBJS) $(TEDAX_OBJS) $(TOOL_OBJS) $(EXC_OBJS) $(GCODE_OBJS) $(TTF2BBOX)
-RNDLIB = -lrnd-hid -lrnd-poly -lrnd-3rd
+RNDLIB = -lrnd-poly -lrnd-hid -lrnd-3rd
 RNDLIB3RD = -lrnd-3rd
 CQUOTE = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/cquote
 SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox
@@ -45,7 +44,7 @@
 	cd gcode && byacc -v -b gcode -d -p gcode -P gcode.y
 
 conf_core_fields.h: conf_core.h
-	$(LIBRND_PREFIX)/lib/librnd3/scconfig/gen_conf.sh  < conf_core.h > conf_core_fields.h
+	$(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/gen_conf.sh  < conf_core.h > conf_core_fields.h
 
 buildin.c: $(PLGD)/.builtin.pups $(PUPLUG)
 	cd $(PLGD) && $(PUPLUG) buildin.c "-" < $(PLGD)/.builtin.pups > ../src/buildin.c
@@ -77,7 +76,10 @@
 
 
 clean:
-	rm -f $(OBJS) $(GERBD_OBJS) $(PLGD)/import_gerb/gedump.o $(PLGD)/import_gerb/gedump $(GCODE_OBJS)
+	rm -f $(OBJS) $(GERBD_OBJS) $(PLGD)/import_gerb/gedump.o $(PLGD)/import_gerb/gedump $(GCODE_OBJS) camv-rnd
+
+distclean: clean
+	rm -f buildin.c conf_internal.c menu_internal.c
 
 dep:
 	./depgen "$(LIBRND_PREFIX)"

=== doc/man/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 include $(ROOT)/Makefile.conf
 MAN1DIR=$(SHAREDIR)/man/man1
-SCCBOX = $(LIBRND_PREFIX)/lib/librnd3/scconfig/sccbox
+LIBARCHDIR=$(LIBRND_LIBARCHDIR)
+SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox
 
 IN=camv-rnd.1.mml
 OUT_HTML = camv-rnd.1.html

=== src_3rd/ttf2bbox/Makefile ===
CFLAGS=-Wall -g `pkg-config --cflags freetype2`
LDFLAGS=`pkg-config --libs freetype2` -lm


all: tester

tester: tester.o ttf2bbox.o

ttf2bbox.o: ttf2bbox.c ttf2bbox.h

tester.o: tester.c ttf2bbox.h

=== debian/changelog ===
camv-rnd (1.0.1-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 12 Jan 2022 01:22:46 -0700

=== debian/control ===
Source: camv-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.1.0), libgd-dev, libgtkglext1-dev
Standards-Version: 4.6.0
Homepage: http://repo.hu/projects/camv-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/camv-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/camv-rnd

Package: camv-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3-hid-gtk2-gdk | librnd3-hid-gtk2-gl | librnd3-hid-lesstif
Description: EDA related CAM file viewer (gerber/excellon/g-code)
 camv-rnd is a modular EDA (mainly PCB) CAM file format viewer that supports
 gerber, excellon and g-code. The GUI features zoom, pan and measurements on
 multiple layers from multiple files.

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,7 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 %:
-ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
-	dh $@ --no-parallel
-else ifeq (mips64el,$(findstring mips64el,$(DEB_HOST_ARCH)))
-	dh $@ --no-parallel
-else
 	dh $@
-endif
 
 override_dh_auto_clean:
 	# only try to run dh_auto_clean if configure has been run

## camv-rnd 1.0.2

=== debian/changelog ===
camv-rnd (1.0.2-1) unstable; urgency=medium

  * new upstream version
 
 -- Bdale Garbee <bdale@gag.com>  Fri, 18 Mar 2022 16:53:50 -0600

camv-rnd (1.0.1-2) unstable; urgency=low

  * need dependency fix in latest librnd upload to link on i386

 -- Bdale Garbee <bdale@gag.com>  Thu, 24 Feb 2022 09:25:13 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.1.0), libgd-dev, libgtkglext1-dev
+Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.1.1), libgd-dev, libgtkglext1-dev
 Standards-Version: 4.6.0
 Homepage: http://repo.hu/projects/camv-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/camv-rnd.git

## camv-rnd 1.1.0

=== doc/Makefile ===
--- 
+++ 
@@ -28,16 +28,19 @@
 install:
 	$(SCCBOX) mkdir -p "$(DOCDIR)"
 	cd user && $(MAKE) install
+	cd man && $(MAKE) install
 	cd developer && $(MAKE) install
 	$(MAKE) install_main HOW="install -f -d"
 
 linstall:
 	cd user && $(MAKE) linstall
+	cd man && $(MAKE) linstall
 	cd developer && $(MAKE) linstall
 	$(MAKE) install_main HOW="install -f -l -d"
 
 uninstall:
 	cd user && $(MAKE) uninstall
+	cd man && $(MAKE) uninstall
 	cd developer && $(MAKE) uninstall
 	$(MAKE) install_main HOW="install -f -u -d"

=== scconfig/Makefile ===
# --- configuration part --

# - generic configuration -
#  where scconfig source is; this is a path to a partial or full checkout of
#  svn://repo.hu/scconfig/trunk/src
LIBRND_PREFIX=/usr
SRC=src/

#  where compiled binaries (e.g. objects) should land; should be the same as
#  $(SRC) the project has its own copy of scconfig embedded
BIN=$(SRC)

#  what cflags to use to compile scconfig
USER_CFLAGS = -I. $(LIBRND_EXTRA_INCLUDE) -DLIBRND_PREFIX="$(LIBRND_PREFIX)"

#  what ldflags to use to link scconfig
USER_LDFLAGS =

#  in case hooks.c needs to link to something local
USER_OBJS = $(BIN)/util/arg_auto_set.o

#  what to build - a ./configure
all: configure revtest

# This line imports scconfig core and default tests
include $(SRC)/default/Makefile.plugin

#
# - PLUGINS -
#
#  Comment this line if you are not interested in c99 features
#include $(SRC)/c99/Makefile.plugin

#  Comment this line if you do not need script libs to be detected
include $(SRC)/scripts/Makefile.plugin

#  Comment this line if you do not need parser libs to be detected
#include $(SRC)/parser/Makefile.plugin

#  Comment this line if you do not need to detect parser generators
include $(SRC)/parsgen/Makefile.plugin

#  Comment this line if you do not need math related libs
include $(SRC)/math/Makefile.plugin

#  Comment this line if you do not need socket/networking
include $(SRC)/socket/Makefile.plugin

#  Comment this line if you do not need user/password API detection
include $(SRC)/userpass/Makefile.plugin

#  Comment this line if you do not need gui (X11, toolkits)
#include $(SRC)/gui/Makefile.plugin

#  Comment this line if you do not need tty (nurses, slang, pty-related calls)
#include $(SRC)/tty/Makefile.plugin

#  Comment this line if you do not need software utility libs (gen*, glib)
include $(SRC)/sul/Makefile.plugin

#  Comment this line if you do not need to detect POSIX calls
#include $(SRC)/posix/Makefile.plugin

#  Uncomment this line if you need menus
#include $(SRC)/menulib/Makefile.plugin

#  Comment this line if you do not need generator (templating); conflicts with tmpasm
#include $(SRC)/generator/Makefile.plugin

#  Comment this line if you do not need tmpasm (templating); conflicts with generator
include $(SRC)/tmpasm/Makefile.plugin

# --- you shouldn't edit the lines below ---
OBJS = $(USER_OBJS) hooks.o librnd_ver.o $(DEFAULT_NOMAIN_OBJS) $(SCRIPT_OBJS) $(PARSER_OBJS) $(GENERATOR_OBJS) $(TMPASM_OBJS) $(C99_OBJS) $(PARSGEN_OBJS) $(MATH_OBJS) $(SOCKET_OBJS) $(USERPASS_OBJS) $(GUI_OBJS) $(TTY_OBJS) $(SUL_OBJS) $(POSIX_OBJS)
CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS) $(TTY_CFLAGS) $(SUL_CFLAGS) $(POSIX_CFLAGS) $(MENULIB_CFLAGS) -I$(SRC)/default
LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(TTY_LDFLAGS) $(SUL_LDFLAGS) $(POSIX_LDFLAGS) $(MENULIB_LDFLAGS)

configure: $(OBJS) $(DEFAULT_MAIN_OBJS) sccbox
	$(CC) -o configure $(OBJS) $(DEFAULT_MAIN_OBJS)

menuconfig: $(OBJS) $(MENULIB_OBJS)
	$(CC) -o configure $(OBJS) $(MENULIB_OBJS)

src/util/sccbox.o: src/util/sccbox.c
	$(CC) -c $(CFLAGS) -o src/util/sccbox.o src/util/sccbox.c

sccbox: src/util/sccbox.o
	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o

LIBRNDSCC=$(LIBRND_PREFIX)/include/librnd/scconfig
RNDHOOKS=$(LIBRNDSCC)/plugin_3state.h $(LIBRNDSCC)/hooks_common.h

hooks.o: $(RNDHOOKS) plugins.h $(LIBRND_PREFIX)/include/librnd/scconfig Rev.h find_fontdir.c

librnd_ver.o: librnd_ver.c $(LIBRND_PREFIX)/include/librnd/config.h
	$(CC) -c $(CFLAGS) -o librnd_ver.o librnd_ver.c

$(BIN)/util/arg_auto_set.o: $(SRC)/util/arg_auto_set.c $(SRC)/util/arg_auto_set.h
	$(CC) -c $(CFLAGS) -o $(BIN)/util/arg_auto_set.o $(SRC)/util/arg_auto_set.c

clean:
	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure sccbox

distclean: clean
	-rm Makefile.depgen config.cache config.log

=== doc/developer/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 include ../../Makefile.conf
-SCCBOX = $(LIBRND_PREFIX)/lib/librnd3/scconfig/sccbox
+LIBARCHDIR=$(LIBRND_LIBARCHDIR)
+SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox
 
 all:

=== doc/man/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ROOT=../..
 
 include $(ROOT)/Makefile.conf
-MAN1DIR=$(SHAREDIR)/man/man1
+MAN1DIR=$(install_root)$(DESTDIR)$(PREFIX)/share/man/man1
 LIBARCHDIR=$(LIBRND_LIBARCHDIR)
 SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox

=== doc/user/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 include ../../Makefile.conf
-SCCBOX = $(LIBRND_PREFIX)/lib/librnd3/scconfig/sccbox
+LIBARCHDIR=$(LIBRND_LIBARCHDIR)
+SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox
 
 all:

=== src_3rd/ttf2bbox/Makefile ===
CFLAGS=-Wall -g `pkg-config --cflags freetype2`
LDFLAGS=`pkg-config --libs freetype2` -lm

MAP_OBJS = test_map.o ttf_map.o
BOX_OBJS = tester.o ttf2bbox.o

all: tester test_map

test_map: $(MAP_OBJS)
	$(CC) -o $@ $(MAP_OBJS) $(LDFLAGS) -lgenht

tester: $(BOX_OBJS)

ttf2bbox.o: ttf2bbox.c ttf2bbox.h

tester.o: tester.c ttf2bbox.h

ttf_map.o: ttf_map.c

clean:
	-rm $(BOX_OBJS) $(MAP_OBJS) tester test_map

=== src_plugins/import_gcode/Makefile ===
include ../../Makefile.conf
LIBARCHDIR=$(LIBRND_LIBARCHDIR)
CFLAGS = -DRND_PCB_COMPAT -Wall -g -I$(LIBRND_PREFIX)/include/librnd/src_3rd
LDLIBS = -lm $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd-3rd.a

main: main.o gcode_vm.o gcode_exec.o gcode_lex.o gcode.tab.o

gcode.tab.c gcode.tab.h: gcode.y
	byacc -v -b gcode -d -p gcode -P gcode.y

=== src_plugins/std_tools/Makefile ===
all:
	cd ../../src && make

=== scconfig/src/util/Makefile ===
#CC=i586-mingw32msvc-gcc
#CFLAGS = -Wall -g

sccbox: sccbox.c Makefile
	$(CC) $(CFLAGS) sccbox.c -o sccbox

=== doc/user/09_appendix/src/Makefile ===
CAMVRND = ../../../../src/camv-rnd
CLEANFILES=../action_details.html ../action_reference.html ../formats.html ../dialogs.html

all: $(CLEANFILES)

../action_details.html: ./action_compiler.sh ../action_src/*.html librnd_acts
	./action_compiler.sh ../action_src/*.html LIBRND librnd_acts/*.html > ../action_details.html

../action_reference.html : ./dump_actions_to_html.sh $(CAMVRND) ../action_details.html librnd_acts
	./dump_actions_to_html.sh > ../action_reference.html

librnd_acts: FORCE
	svn checkout svn://svn.repo.hu/librnd/trunk/doc/action librnd_acts


../formats.html: gen_formats.sh ../../../../src_plugins/io_*/*.pup ../../../../src_plugins/import_*/*.pup ../../../../src_plugins/export_*/*.pup
	./gen_formats.sh > ../formats.html

../dialogs.html: $(CAMVRND) ./gen_dialogs.sh ./dialog_extra.awk
	./gen_dialogs.sh > ../dialogs.html

FORCE:

clean:  
	rm $(CLEANFILES)
	-rm -rf librnd_acts

=== debian/changelog ===
camv-rnd (1.1.0-3) unstable; urgency=medium

  * declare breaks/replaces for file moves from old versions, closes: #1024559

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Jan 2023 12:26:48 -0700

camv-rnd (1.1.0-2) unstable; urgency=medium

  * re-structure packaging to be modular at upstream request

 -- Bdale Garbee <bdale@gag.com>  Sat, 19 Nov 2022 11:30:45 -0700

camv-rnd (1.1.0-1) unstable; urgency=medium

  * new upstream version
 
 -- Bdale Garbee <bdale@gag.com>  Sat, 19 Nov 2022 10:39:29 -0700

=== debian/control ===
Source: camv-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.2.0), libgd-dev, libgtkglext1-dev
Standards-Version: 4.6.0
Homepage: http://repo.hu/projects/camv-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/camv-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/camv-rnd

Package: camv-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), camv-rnd-import (= ${binary:Version}), camv-rnd-lib-gui (= ${binary:Version}), librnd3-hid-gtk2-gl (>= 3.2.0), librnd3-hid-gtk2-gdk (>= 3.2.0), camv-rnd-export-gd (= ${binary:Version}), camv-rnd-export-vector (= ${binary:Version}), camv-rnd-doc (= ${source:Version})
Suggests: pcb-rnd
Description: Standard installation of camv-rnd
 camv-rnd is a modular EDA (mainly PCB) CAM file format viewer that supports
 gerber, excellon and g-code. The GUI features zoom, pan and measurements on
 multiple layers from multiple files.

Package: camv-rnd-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd3-lib-gui (>= 3.2.0)
Description: Support library for building the GUI.
 Provides camv-rnd specific dialog boxes and top window GUI elements.

Package: camv-rnd-export-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), camv-rnd-export-vector (= ${binary:Version})
Description: Export formats: special/extra
 Less commonly used export formats: direct printing with lpr.

Package: camv-rnd-export-gd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd3-pixmap (>= 3.2.0)
Description: Export formats that require libgd.
 Bitmap export plugin (png, jpeg, etc.)

Package: camv-rnd-import
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version})
Description: Standard import file format support (PCB).
 Plugins for loading gerber layers, excellon drill files and g-code
 files.

Package: camv-rnd-core
Architecture: any
Replaces: camv-rnd (<< 1.1.0-1)
Breaks: camv-rnd (<< 1.1.0-1)
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (>= 3.2.0), librnd3-lib-gui (>= 3.2.0)
Description: camv-rnd executable with the core functionality and boxsym-rnd
 Includes the data model, the most common action commands, the native
 file format. Can be used in headless mode or batch/scripted mode for
 automated processing or with GUI (if camv-rnd-lib-gui and librnd GUI
 HIDs are installed).

Package: camv-rnd-export-vector
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd3 (>= 3.2.0)
Description: Export formats: vector graphics
 Common vector graphic export formats: ps, eps, svg.

Package: camv-rnd-doc
Replaces: camv-rnd (<< 1.1.0-1)
Breaks: camv-rnd (<< 1.1.0-1)
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Documentation for camv-rnd
 User manual and developer doc (html).

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,13 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 %:
+ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
+	dh $@ --no-parallel
+else ifeq (mips64el,$(findstring mips64el,$(DEB_HOST_ARCH)))
+	dh $@ --no-parallel
+else
 	dh $@
+endif
 
 override_dh_auto_clean:
 	# only try to run dh_auto_clean if configure has been run
@@ -17,8 +23,20 @@
 		--LDFLAGS='$(LDFLAGS)' \
 		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
 		\
+		--symbols \
 		--prefix=/usr \
-		--confdir=/etc/camv-rnd
-
-override_dh_install:
-
+		--confdir=/etc/camv-rnd \
+		--prefix/libs/script/fungw=/dev/null \
+		\
+		--all=disable \
+		--buildin-io_tedax \
+		--buildin-std_tools \
+		--buildin-dialogs \
+		--plugin-export_png \
+		--plugin-import_excellon \
+		--plugin-export_svg \
+		--plugin-export_lpr \
+		--plugin-gui \
+		--plugin-import_gcode \
+		--plugin-import_gerb \
+		--plugin-export_ps \

## camv-rnd 1.1.1

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 MENU_RES=../src/menu.lht
-KEYLIST=../util/keylist.sh
-DEBLIST=../util/devhelpers/deblist.sh
+# append this when plugins start to have menu files:  ../src_plugins/*/*-menu.lht
+
 ROOT=..
 LIBARCHDIR=$(LIBRND_LIBARCHDIR)
 
@@ -8,8 +8,9 @@
 	ROOT="" ./Autostyle.sh *.html
 
 include ../Makefile.conf
+include $(LIBRND_MAK)
 
-SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox
+SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd4/scconfig/sccbox
 
 user/keytree.svg: $(MENU_RES) $(KEYLIST)
 	$(KEYLIST) --dot user/node_names.txt $(MENU_RES) > user/keytree.dot

=== scconfig/Makefile ===
--- 
+++ 
@@ -87,12 +87,12 @@
 sccbox: src/util/sccbox.o
 	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o
 
-LIBRNDSCC=$(LIBRND_PREFIX)/include/librnd/scconfig
+LIBRNDSCC=$(LIBRND_PREFIX)/include/librnd4/librnd/scconfig
 RNDHOOKS=$(LIBRNDSCC)/plugin_3state.h $(LIBRNDSCC)/hooks_common.h
 
-hooks.o: $(RNDHOOKS) plugins.h $(LIBRND_PREFIX)/include/librnd/scconfig Rev.h find_fontdir.c
+hooks.o: $(RNDHOOKS) plugins.h $(LIBRND_PREFIX)/include/librnd4/librnd/scconfig Rev.h find_fontdir.c
 
-librnd_ver.o: librnd_ver.c $(LIBRND_PREFIX)/include/librnd/config.h
+librnd_ver.o: librnd_ver.c $(LIBRND_PREFIX)/include/librnd4/librnd/config.h
 	$(CC) -c $(CFLAGS) -o librnd_ver.o librnd_ver.c
 
 $(BIN)/util/arg_auto_set.o: $(SRC)/util/arg_auto_set.c $(SRC)/util/arg_auto_set.h

=== debian/changelog ===
camv-rnd (1.1.1-1) unstable; urgency=medium

  * new upstream version
 
 -- Bdale Garbee <bdale@gag.com>  Wed, 08 Feb 2023 00:48:09 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.2.0), libgd-dev, libgtkglext1-dev
+Build-Depends: debhelper (>= 11), librnd4-dev (>= 3.2.0), libgd-dev, libgtkglext1-dev
 Standards-Version: 4.6.0
 Homepage: http://repo.hu/projects/camv-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/camv-rnd.git
@@ -11,7 +11,7 @@
 
 Package: camv-rnd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), camv-rnd-import (= ${binary:Version}), camv-rnd-lib-gui (= ${binary:Version}), librnd3-hid-gtk2-gl (>= 3.2.0), librnd3-hid-gtk2-gdk (>= 3.2.0), camv-rnd-export-gd (= ${binary:Version}), camv-rnd-export-vector (= ${binary:Version}), camv-rnd-doc (= ${source:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), camv-rnd-import (= ${binary:Version}), camv-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk2-gl (>= 3.2.0), librnd4-hid-gtk2-gdk (>= 3.2.0), camv-rnd-export-gd (= ${binary:Version}), camv-rnd-export-vector (= ${binary:Version}), camv-rnd-doc (= ${source:Version})
 Suggests: pcb-rnd
 Description: Standard installation of camv-rnd
  camv-rnd is a modular EDA (mainly PCB) CAM file format viewer that supports
@@ -20,7 +20,7 @@
 
 Package: camv-rnd-lib-gui
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd3-lib-gui (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4-lib-gui (>= 3.2.0)
 Description: Support library for building the GUI.
  Provides camv-rnd specific dialog boxes and top window GUI elements.
 
@@ -32,7 +32,7 @@
 
 Package: camv-rnd-export-gd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd3-pixmap (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4-pixmap (>= 3.2.0)
 Description: Export formats that require libgd.
  Bitmap export plugin (png, jpeg, etc.)
 
@@ -47,7 +47,7 @@
 Architecture: any
 Replaces: camv-rnd (<< 1.1.0-1)
 Breaks: camv-rnd (<< 1.1.0-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (>= 3.2.0), librnd3-lib-gui (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4, librnd4-lib-gui
 Description: camv-rnd executable with the core functionality and boxsym-rnd
  Includes the data model, the most common action commands, the native
  file format. Can be used in headless mode or batch/scripted mode for
@@ -56,7 +56,7 @@
 
 Package: camv-rnd-export-vector
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd3 (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4
 Description: Export formats: vector graphics
  Common vector graphic export formats: ps, eps, svg.

## camv-rnd 1.1.2

=== debian/changelog ===
camv-rnd (1.1.2-2) unstable; urgency=medium

  * accept merge requests from Debian Janitor

 -- Bdale Garbee <bdale@gag.com>  Mon, 12 Jun 2023 09:23:51 -0600

camv-rnd (1.1.2-1) unstable; urgency=medium

  * new upstream version
 
 -- Bdale Garbee <bdale@gag.com>  Wed, 24 May 2023 12:17:14 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), librnd4-dev (>= 3.2.0), libgd-dev, libgtkglext1-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 11), librnd4-dev (>= 3.2.0), libgd-dev, libgtkglext1-dev
+Standards-Version: 4.6.2
 Homepage: http://repo.hu/projects/camv-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/camv-rnd.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/camv-rnd
@@ -65,5 +65,6 @@
 Breaks: camv-rnd (<< 1.1.0-1)
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
 Description: Documentation for camv-rnd
  User manual and developer doc (html).

## camv-rnd 1.1.3

=== debian/changelog ===
camv-rnd (1.1.3-2) unstable; urgency=medium

  * elide spurious gtkglext build dep, update runtime deps to require either
    gtk 4 or lesstif HID support

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Nov 2023 11:28:11 -0700

camv-rnd (1.1.3-1) unstable; urgency=medium

  * new upstream version
 
 -- Bdale Garbee <bdale@gag.com>  Wed, 27 Sep 2023 00:13:27 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper-compat (= 11), librnd4-dev (>= 3.2.0), libgd-dev, libgtkglext1-dev
+Build-Depends: debhelper-compat (= 11), librnd4-dev (>= 3.2.0), libgd-dev
 Standards-Version: 4.6.2
 Homepage: http://repo.hu/projects/camv-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/camv-rnd.git
@@ -11,7 +11,7 @@
 
 Package: camv-rnd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), camv-rnd-import (= ${binary:Version}), camv-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk2-gl (>= 3.2.0), librnd4-hid-gtk2-gdk (>= 3.2.0), camv-rnd-export-gd (= ${binary:Version}), camv-rnd-export-vector (= ${binary:Version}), camv-rnd-doc (= ${source:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), camv-rnd-import (= ${binary:Version}), camv-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk4-gl | librnd4-hid-lesstif, camv-rnd-export-gd (= ${binary:Version}), camv-rnd-export-vector (= ${binary:Version}), camv-rnd-doc (= ${source:Version})
 Suggests: pcb-rnd
 Description: Standard installation of camv-rnd
  camv-rnd is a modular EDA (mainly PCB) CAM file format viewer that supports

## camv-rnd 1.1.4

=== doc/Makefile ===
--- 
+++ 
@@ -31,18 +31,21 @@
 	cd user && $(MAKE) install
 	cd man && $(MAKE) install
 	cd developer && $(MAKE) install
+	cd resources && $(MAKE) install
 	$(MAKE) install_main HOW="install -f -d"
 
 linstall:
 	cd user && $(MAKE) linstall
 	cd man && $(MAKE) linstall
 	cd developer && $(MAKE) linstall
+	cd resources && $(MAKE) linstall
 	$(MAKE) install_main HOW="install -f -l -d"
 
 uninstall:
 	cd user && $(MAKE) uninstall
 	cd man && $(MAKE) uninstall
 	cd developer && $(MAKE) uninstall
+	cd resources && $(MAKE) uninstall
 	$(MAKE) install_main HOW="install -f -u -d"
 
 clean:

=== scconfig/Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 LIBRNDSCC=$(LIBRND_PREFIX)/include/librnd4/librnd/scconfig
 RNDHOOKS=$(LIBRNDSCC)/plugin_3state.h $(LIBRNDSCC)/hooks_common.h
 
-hooks.o: $(RNDHOOKS) plugins.h $(LIBRND_PREFIX)/include/librnd4/librnd/scconfig Rev.h find_fontdir.c
+hooks.o: $(RNDHOOKS) plugins.h $(LIBRND_PREFIX)/include/librnd4/librnd/scconfig Rev.h
 
 librnd_ver.o: librnd_ver.c $(LIBRND_PREFIX)/include/librnd4/librnd/config.h
 	$(CC) -c $(CFLAGS) -o librnd_ver.o librnd_ver.c

=== doc/developer/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../../Makefile.conf
 LIBARCHDIR=$(LIBRND_LIBARCHDIR)
-SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox
+SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd4/scconfig/sccbox
 
 all:

=== doc/man/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include $(ROOT)/Makefile.conf
 MAN1DIR=$(install_root)$(DESTDIR)$(PREFIX)/share/man/man1
 LIBARCHDIR=$(LIBRND_LIBARCHDIR)
-SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox
+SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd4/scconfig/sccbox
 
 IN=camv-rnd.1.mml
 OUT_HTML = camv-rnd.1.html

=== src_plugins/export_svg/Makefile ===
all:
	cd ../../src && make mod_export_svg

=== doc/user/09_appendix/src/Makefile ===
CAMVRND = ../../../../src/camv-rnd
CLEANFILES=../action_details.html ../action_reference.html ../formats.html ../dialogs.html

include ../../../../Makefile.conf
include $(LIBRND_MAK)

all: $(CLEANFILES)

../action_details.html: ./action_compiler.sh ../action_src/*.html librnd_acts
	LIBRND_LIBDIR=$(LIBRND_LIBDIR) ./action_compiler.sh ../action_src/*.html LIBRND librnd_acts/*.html > ../action_details.html

../action_reference.html : ./dump_actions_to_html.sh $(CAMVRND) ../action_details.html librnd_acts
	LIBRND_LIBDIR=$(LIBRND_LIBDIR) ./dump_actions_to_html.sh > ../action_reference.html

librnd_acts: FORCE
	svn checkout svn://svn.repo.hu/librnd/trunk/doc/action librnd_acts

../formats.html: ../../../../src_plugins/io_*/*.pup ../../../../src_plugins/import_*/*.pup ../../../../src_plugins/export_*/*.pup
	APP="camv-rnd" PLUGINS="../../../../src_plugins" $(LIBRND_LIBDIR)/gen_formats.sh > ../formats.html


../dialogs.html: $(CAMVRND) ./gen_dialogs.sh ./dialog_extra.awk
	LIBRND_LIBDIR="$(LIBRND_LIBDIR)" ./gen_dialogs.sh > ../dialogs.html

FORCE:

clean:  
	rm $(CLEANFILES)
	-rm -rf librnd_acts

=== debian/changelog ===
camv-rnd (1.1.4-5) unstable; urgency=high

  * loosen warnings as errors for GCC 14 compatibility, closes: #1074862

 -- Bdale Garbee <bdale@gag.com>  Fri, 23 Aug 2024 08:38:30 -0600

camv-rnd (1.1.4-4) unstable; urgency=medium

  * use the same CFLAGS as librnd for compatibility

 -- Bdale Garbee <bdale@gag.com>  Wed, 12 Jun 2024 11:52:35 -0600

camv-rnd (1.1.4-3) unstable; urgency=medium

  * fix one more hard-coded librnd4 depdencency I missed, closes: #1068811

 -- Bdale Garbee <bdale@gag.com>  Fri, 12 Apr 2024 12:33:23 -0600

camv-rnd (1.1.4-2) unstable; urgency=medium

  * add Suggests for other Ringdove applications
  * update Vcs entries for new subgroup on salsa
  * remove redundant hard-coded librnd4 dependency, closes: #1068811

 -- Bdale Garbee <bdale@gag.com>  Thu, 11 Apr 2024 13:19:17 -0600

camv-rnd (1.1.4-1) unstable; urgency=medium

  * new upstream version, now depends on librnd 4.1.0 or later

 -- Bdale Garbee <bdale@gag.com>  Thu, 30 Nov 2023 08:53:21 -0700

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper-compat (= 11), librnd4-dev (>= 3.2.0), libgd-dev
+Build-Depends: debhelper-compat (= 11), librnd4-dev (>= 4.1.0), libgd-dev
 Standards-Version: 4.6.2
 Homepage: http://repo.hu/projects/camv-rnd
-Vcs-Git: https://salsa.debian.org/electronics-team/camv-rnd.git
-Vcs-Browser: https://salsa.debian.org/electronics-team/camv-rnd
+Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/camv-rnd.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/ringdove-eda/camv-rnd
 
 Package: camv-rnd
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), camv-rnd-import (= ${binary:Version}), camv-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk4-gl | librnd4-hid-lesstif, camv-rnd-export-gd (= ${binary:Version}), camv-rnd-export-vector (= ${binary:Version}), camv-rnd-doc (= ${source:Version})
-Suggests: pcb-rnd
+Suggests: pcb-rnd, route-rnd, sch-rnd
 Description: Standard installation of camv-rnd
  camv-rnd is a modular EDA (mainly PCB) CAM file format viewer that supports
  gerber, excellon and g-code. The GUI features zoom, pan and measurements on
@@ -20,7 +20,7 @@
 
 Package: camv-rnd-lib-gui
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4-lib-gui (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4-lib-gui (>= 4.1.0)
 Description: Support library for building the GUI.
  Provides camv-rnd specific dialog boxes and top window GUI elements.
 
@@ -32,7 +32,7 @@
 
 Package: camv-rnd-export-gd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4-pixmap (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4-pixmap (>= 4.1.0)
 Description: Export formats that require libgd.
  Bitmap export plugin (png, jpeg, etc.)
 
@@ -47,7 +47,7 @@
 Architecture: any
 Replaces: camv-rnd (<< 1.1.0-1)
 Breaks: camv-rnd (<< 1.1.0-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4, librnd4-lib-gui
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4-lib-gui
 Description: camv-rnd executable with the core functionality and boxsym-rnd
  Includes the data model, the most common action commands, the native
  file format. Can be used in headless mode or batch/scripted mode for
@@ -56,7 +56,7 @@
 
 Package: camv-rnd-export-vector
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4
+Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version})
 Description: Export formats: vector graphics
  Common vector graphic export formats: ps, eps, svg.

## camv-rnd 1.1.5

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,8 @@
 # do not clean doc/ (all rendered files are commited - Ringdove policy)
 
 distclean: FORCE
-	cd src && $(MAKE) distclean
+	cd src && $(MAKE) distclean && cd ..
+	cd scconfig && $(MAKE) distclean && cd ..
 # do not clean doc/ (all rendered files are commited - Ringdove policy)
 
 FORCE:

=== doc/user/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../../Makefile.conf
 LIBARCHDIR=$(LIBRND_LIBARCHDIR)
-SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd3/scconfig/sccbox
+SCCBOX = $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd4/scconfig/sccbox
 
 all:

=== debian/changelog ===
camv-rnd (1.1.5-1) unstable; urgency=high

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Dec 2024 01:56:50 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper-compat (= 11), librnd4-dev (>= 4.1.0), libgd-dev
+Build-Depends: debhelper-compat (= 11), librnd4-dev (>= 4.2.0), libgd-dev
 Standards-Version: 4.6.2
 Homepage: http://repo.hu/projects/camv-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/camv-rnd.git
@@ -20,7 +20,7 @@
 
 Package: camv-rnd-lib-gui
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4-lib-gui (>= 4.1.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4-lib-gui (>= 4.2.0)
 Description: Support library for building the GUI.
  Provides camv-rnd specific dialog boxes and top window GUI elements.
 
@@ -32,7 +32,7 @@
 
 Package: camv-rnd-export-gd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4-pixmap (>= 4.1.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, camv-rnd-core (= ${binary:Version}), librnd4-pixmap (>= 4.2.0)
 Description: Export formats that require libgd.
  Bitmap export plugin (png, jpeg, etc.)

## camv-rnd 1.1.6

=== scconfig/Makefile ===
--- 
+++ 
@@ -102,4 +102,4 @@
 	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure sccbox
 
 distclean: clean
-	-rm Makefile.depgen config.cache config.log
+	-rm Makefile.depgen config.cache config.log Rev.stamp revtest

=== doc/resources/Makefile ===
ROOT=../..
RESDIR=$(DOCDIR)/resources

all:

install_all:
	$(SCCBOX) mkdir -p $(RESDIR)
	$(SCCBOX) $(HOW) -d *.png *.svg $(RESDIR)

install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf

=== src_plugins/export_lpr/Makefile ===
all:
	cd ../../src && make mod_export_lpr

=== src_plugins/export_png/Makefile ===
all:
	cd ../../src && make mod_export_png

=== src_plugins/export_ps/Makefile ===
all:
	cd ../../src && make mod_export_ps

=== src_plugins/import_gcode/Makefile ===
include ../../Makefile.conf
LIBARCHDIR=$(LIBRND_LIBARCHDIR)
CFLAGS = -DRND_PCB_COMPAT -Wall -g -I$(LIBRND_PREFIX)/include/librnd4/librnd/src_3rd
LDLIBS = -lm $(LIBRND_PREFIX)/$(LIBARCHDIR)/librnd-3rd.a

main: main.o gcode_vm.o gcode_exec.o gcode_lex.o gcode.tab.o

gcode.tab.c gcode.tab.h: gcode.y
	byacc -v -b gcode -d -p gcode -P gcode.y

=== src_plugins/import_gerb/expr/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 TRUNK=../../../../trunk
 
 include $(TRUNK)/Makefile.conf
-include $(LIBRND_PREFIX)/share/librnd3/librnd.mak
 
 CFLAGS = -DRND_PCB_COMPAT -Wall -g -I.. -I$(TRUNK)/src -I$(TRUNK) -I$(TRUNK)/src_3rd $(CFLAGS_LIBRND)
 LDLIBS = -lrnd-3rd

=== debian/changelog ===
camv-rnd (1.1.6-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 May 2025 20:38:08 -0600

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+# Workaround on exotic archs, probably any 32 bit arch with 64 bit kernel
+# see bug #1019729
+CFLAGS += -D_LARGE_FILE_SOURCE=1 -D_FILE_OFFSET_BITS=64 -Wno-cpp -Wno-error=incompatible-pointer-types -Wno-error=return-mismatch
 
 %:
 ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
@@ -31,12 +35,12 @@
 		--all=disable \
 		--buildin-io_tedax \
 		--buildin-std_tools \
-		--buildin-dialogs \
+		--plugin-export_ps \
+		--plugin-import_gcode \
+		--plugin-import_excellon \
+		--plugin-export_lpr \
+		--plugin-import_gerb \
+		--plugin-export_svg \
+		--plugin-gui \
+		--plugin-dialogs \
 		--plugin-export_png \
-		--plugin-import_excellon \
-		--plugin-export_svg \
-		--plugin-export_lpr \
-		--plugin-gui \
-		--plugin-import_gcode \
-		--plugin-import_gerb \
-		--plugin-export_ps \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*$// \
  http://www.repo.hu/projects/camv-rnd/releases/camv-rnd-(.*)\.tar\.gz
